aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2016-05-01 15:51:05 -0400
committerAnthony G. Basile <blueness@gentoo.org>2016-05-01 15:51:46 -0400
commitc5c2daa6ff0970a37747c58328df38b4ce57207f (patch)
treeb7d4d87d677a5758770bb0bb1d9746e761a62df2
parentdont use .specs files when install (diff)
downloadhardened-dev-c5c2daa6ff0970a37747c58328df38b4ce57207f.zip
hardened-dev-c5c2daa6ff0970a37747c58328df38b4ce57207f.tar.gz
hardened-dev-c5c2daa6ff0970a37747c58328df38b4ce57207f.tar.bz2
toolchain.eclass: sanely check if there are spec files to be installed
-rw-r--r--eclass/toolchain.eclass6
1 files changed, 5 insertions, 1 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 247dcee..40b2cf9 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1954,7 +1954,11 @@ copy_minispecs_gcc_specs() {
fi
create_gcc_env_entry vanilla
insinto ${LIBPATH}
- doins "${WORKDIR}"/specs/*.specs || die "failed to install specs"
+ # Only doins if there are actually spec files in "${WORKDIR}"/specs/
+ local SPECSDIR="${WORKDIR}"/specs/
+ if [[ "$(ls -A ${SPECSDIR})" ]]; then
+ doins "${SPECSDIR}"/*.specs || die "failed to install specs"
+ fi
# Build system specs file which, if it exists, must be a complete set of
# specs as it completely and unconditionally overrides the builtin specs.
if ! tc_version_is_at_least 4.4 ; then